<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>jetset.sed_shaper Module &#8212; jetset 1.0.a documentation</title>
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0.a',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.7/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body>

  <div id="navbar" class="navbar navbar-inverse navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html"><span><img src="../_static/logo_small_transp.png"></span>
          JetSeT</a>
        <span class="navbar-text navbar-version pull-left"><b>1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">JetSeT <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="../user_guide/user_guide.html">user guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../user_guide/user_guide.html#content">Content</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">jetset.sed_shaper Module</a><ul>
<li><a class="reference internal" href="#moudule-sed-shaper">Moudule: sed_shaper</a><ul>
<li><a class="reference internal" href="#classes-and-inheritance-structure">Classes and Inheritance Structure</a></li>
<li><a class="reference internal" href="#classes-relations">Classes relations</a></li>
<li><a class="reference internal" href="#module-api">Module API</a></li>
</ul>
</li>
<li><a class="reference internal" href="#functions">Functions</a></li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/api/sed_shaper.rst.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
      <div class="col-md-3">
        <div id="sidebar" class="bs-sidenav" role="complementary"><ul>
<li><a class="reference internal" href="#">jetset.sed_shaper Module</a><ul>
<li><a class="reference internal" href="#moudule-sed-shaper">Moudule: sed_shaper</a><ul>
<li><a class="reference internal" href="#classes-and-inheritance-structure">Classes and Inheritance Structure</a></li>
<li><a class="reference internal" href="#classes-relations">Classes relations</a></li>
<li><a class="reference internal" href="#module-api">Module API</a></li>
</ul>
</li>
<li><a class="reference internal" href="#functions">Functions</a></li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>

<form action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
        </div>
      </div>
    <div class="col-md-9 content">
      
  <div class="section" id="module-jetset.sed_shaper">
<span id="jetset-sed-shaper-module"></span><h1>jetset.sed_shaper Module<a class="headerlink" href="#module-jetset.sed_shaper" title="Permalink to this headline">¶</a></h1>
<div class="section" id="moudule-sed-shaper">
<h2>Moudule: sed_shaper<a class="headerlink" href="#moudule-sed-shaper" title="Permalink to this headline">¶</a></h2>
<p>This module contains all the classes necessary to estimate the phenomenlogical
characterization of the SED, such as spectral indices, peack frequenicies
and fluxes</p>
<div class="section" id="classes-and-inheritance-structure">
<h3>Classes and Inheritance Structure<a class="headerlink" href="#classes-and-inheritance-structure" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="classes-relations">
<h3>Classes relations<a class="headerlink" href="#classes-relations" title="Permalink to this headline">¶</a></h3>
<div class="figure align-center">
<img alt="../_images/classes_sed_shaper.png" src="../_images/classes_sed_shaper.png" />
</div>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
</tbody>
</table>
</div>
<div class="section" id="module-api">
<h3>Module API<a class="headerlink" href="#module-api" title="Permalink to this headline">¶</a></h3>
</div>
</div>
<div class="section" id="functions">
<h2>Functions<a class="headerlink" href="#functions" title="Permalink to this headline">¶</a></h2>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.sed_shaper.filter_interval.html#jetset.sed_shaper.filter_interval" title="jetset.sed_shaper.filter_interval"><code class="xref py py-obj docutils literal"><span class="pre">filter_interval</span></code></a>(x,&nbsp;x_range)</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.sed_shaper.find_E0.html#jetset.sed_shaper.find_E0" title="jetset.sed_shaper.find_E0"><code class="xref py py-obj docutils literal"><span class="pre">find_E0</span></code></a>(b,&nbsp;a,&nbsp;Ep)</td>
<td>returns the value of E0  for</td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="jetset.sed_shaper.IC_fit_range.html#jetset.sed_shaper.IC_fit_range" title="jetset.sed_shaper.IC_fit_range"><code class="xref py py-obj docutils literal"><span class="pre">IC_fit_range</span></code></a>(name)</td>
<td><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">param name:</th><td class="field-body"></td>
</tr>
</tbody>
</table>
</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.sed_shaper.spectral_index_range.html#jetset.sed_shaper.spectral_index_range" title="jetset.sed_shaper.spectral_index_range"><code class="xref py py-obj docutils literal"><span class="pre">spectral_index_range</span></code></a>(name)</td>
<td></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="jetset.sed_shaper.sync_fit_range.html#jetset.sed_shaper.sync_fit_range" title="jetset.sed_shaper.sync_fit_range"><code class="xref py py-obj docutils literal"><span class="pre">sync_fit_range</span></code></a>(name,&nbsp;indices)</td>
<td></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="classes">
<h2>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">¶</a></h2>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.sed_shaper.index.html#jetset.sed_shaper.index" title="jetset.sed_shaper.index"><code class="xref py py-obj docutils literal"><span class="pre">index</span></code></a>([name,&nbsp;data_type,&nbsp;val,&nbsp;err,&nbsp;idx_range])</td>
<td>Class for the spectral indices</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.sed_shaper.index_array.html#jetset.sed_shaper.index_array" title="jetset.sed_shaper.index_array"><code class="xref py py-obj docutils literal"><span class="pre">index_array</span></code></a>()</td>
<td>Class to handle an array of <a class="reference internal" href="jetset.sed_shaper.index.html#jetset.sed_shaper.index" title="jetset.sed_shaper.index"><code class="xref py py-class docutils literal"><span class="pre">index</span></code></a> objects</td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="jetset.sed_shaper.index_typecasting.html#jetset.sed_shaper.index_typecasting" title="jetset.sed_shaper.index_typecasting"><code class="xref py py-obj docutils literal"><span class="pre">index_typecasting</span></code></a>(data_type,&nbsp;val[,&nbsp;error])</td>
<td>Class to handle different types of spectral indices</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.sed_shaper.peak_values.html#jetset.sed_shaper.peak_values" title="jetset.sed_shaper.peak_values"><code class="xref py py-obj docutils literal"><span class="pre">peak_values</span></code></a>(name[,&nbsp;nu_p_val,&nbsp;nu_p_err,&nbsp;…])</td>
<td>This Class is designed to store the  SED peak values</td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="jetset.sed_shaper.SEDShape.html#jetset.sed_shaper.SEDShape" title="jetset.sed_shaper.SEDShape"><code class="xref py py-obj docutils literal"><span class="pre">SEDShape</span></code></a>(SEDdata)</td>
<td>This handle the SED shaping process</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="class-inheritance-diagram">
<h2>Class Inheritance Diagram<a class="headerlink" href="#class-inheritance-diagram" title="Permalink to this headline">¶</a></h2>
<img src="../_images/inheritance-385b7e34d021f1f314e2a1e0d7d27e7af6189630.png" alt="Inheritance diagram of jetset.sed_shaper.index, jetset.sed_shaper.index_array, jetset.sed_shaper.index_typecasting, jetset.sed_shaper.peak_values, jetset.sed_shaper.SEDShape" usemap="#inheritanceb621ca288e" class="inheritance"/>
<map id="inheritanceb621ca288e" name="inheritanceb621ca288e">
<area shape="rect" id="node1" href="jetset.sed_shaper.SEDShape.html#jetset.sed_shaper.SEDShape" target="_top" title="This handle the SED shaping process" alt="" coords="27,202,115,227"/>
<area shape="rect" id="node2" href="jetset.sed_shaper.index.html#jetset.sed_shaper.index" target="_top" title="Class for the spectral indices" alt="" coords="35,153,107,178"/>
<area shape="rect" id="node3" href="jetset.sed_shaper.index_array.html#jetset.sed_shaper.index_array" target="_top" title="Class to handle an array of :class:`index` objects" alt="" coords="25,103,117,129"/>
<area shape="rect" id="node4" href="jetset.sed_shaper.index_typecasting.html#jetset.sed_shaper.index_typecasting" target="_top" title="Class to handle different types of spectral indices" alt="" coords="6,54,135,79"/>
<area shape="rect" id="node5" href="jetset.sed_shaper.peak_values.html#jetset.sed_shaper.peak_values" target="_top" title="This Class is designed to store the &#160;SED peak values" alt="" coords="22,5,119,30"/>
</map>
</div>
</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2018, andrea tramacere.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.6.<br/>
    </p>
  </div>
</footer>
  </body>
</html>